Bug 273904 - The brush outline is often useless for complicated brush shapes and its size sometimes irrelevant to what will be painted.
Summary: The brush outline is often useless for complicated brush shapes and its size ...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-22 23:12 UTC by pentalis
Modified: 2011-08-21 14:17 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pentalis 2011-05-22 23:12:13 UTC
It is more intuitive that way.
Comment 1 pentalis 2011-07-13 19:39:39 UTC
Updated this bug report to take into account Boud's latest feedback. It is now not a wish but a normal bug.

The old title said--
"The brush outline should show some average pressure/angle values of the last stroke, it is more intuitive that way."

Boud's current feedback:
The brush outline is often useless for complicated brush shapes: in those cases we should have a simplified outline.
The size of the brush outline is sort of irrelevant to what will be painted.


Expected behavior (added by Pentalis):
Modify the brush outline algorithm to something more intuitive (asking on the mailing list encouraged).
Comment 2 Sven Langkamp 2011-07-19 00:00:33 UTC
What exactly is too complicated in the outline? How should it look like?
Comment 3 David REVOY 2011-07-19 00:42:02 UTC
I think it's related to some brush engine( as sketch brush ) with sometime a big outline for a thin stroke resulting on screen. 

Same sometime with pixel brush with a hard pressure curves on diameter/size ; the outline show the hightest value of diameter. 

How should it look like?
Here I propose a key as 'Caps Locks' to switch between a simple circle cursor , and a full outlined version.(  without having to switch from preference panel. )
Comment 4 Halla Rempt 2011-07-19 07:00:27 UTC
If the brush has a low density, the mask tries to draw around each particle, often resulting in a big purple blob. It would be better not to try to show the shape inside the outline of the brush, but just the outline.
Comment 5 Sven Langkamp 2011-07-21 17:58:53 UTC
Git commit 516abf2733a2d9379c4361e7933ff7580dcf0a9c by Sven Langkamp.
Committed on 21/07/2011 at 19:57.
Pushed by langkamp into branch 'master'.

set the simple mode for brush outlines
CCBUG:273904

M  +9    -4    krita/image/kis_outline_generator.cpp
M  +1    -0    krita/plugins/paintops/libbrush/kis_boundary.cc
M  +8    -1    krita/image/kis_outline_generator.h

http://commits.kde.org/calligra/516abf2733a2d9379c4361e7933ff7580dcf0a9c
Comment 6 Sven Langkamp 2011-08-15 00:24:00 UTC
Is this bug still valid? If yes, what is still missing?
Comment 7 Halla Rempt 2011-08-15 07:41:03 UTC
The outline issue is fixed, I think. The only remaining problem is that the outline calculation is a bit slow, which means that painting with outline enabled is a bit slow.
Comment 8 Sven Langkamp 2011-08-15 11:00:05 UTC
Outline isn't calculated while painting, only drawing a cached polygon. I have no slowdown from the outline here with both canvas types.